// component/goHome/goHome.js
var app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
	
  },
  attached () {
	
	},
	/**
	 * 组件的初始数据
	 */
	data: {
    hasNav : 0,
	},
  lifetimes: {
    ready() {
      this.getPageConfig();
    }
  },  
	/**
	 * 组件的方法列表
	 */
	methods: {
    //获取page信息
    getPageConfig(){
      if (envInfo.isMall) {
        let navBars = wx.getStorageSync('navBars');
        if (navBars) {
          this.setData({
            hasNav: 2,
          });
        }
        else {
          this.setData({
            hasNav:1,
          });
        }
      }
      else{
        this.setData({
          hasNav: 1,
        });
      }
    },
		handelGoHome() {
			// wxService.router('/pages/userCenter/userCenter').replace()
      //关闭小程序内所有已经打开的页面
      wx.reLaunch({
        url: '/pages/userCenter/userCenter',
      });
		}
  }
})
