// subPackage/page/pages/liveVideo/liveVideo.js
const app = getApp()
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util')
const envInfo = require('../../../../config/index').envInfo
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    if (!options.room_id){
      wx.showToast({
        title: '暂无直播信息~',
        icon : 'none'
      });

      return ;
    }

    if (!!options.share) {
      wx.navigateTo({
        url: `plugin-private://wx2b03c6e691cd7370/pages/live-player-plugin?room_id=${options.room_id}`
      })
    }
    wx.redirectTo({
      url: `plugin-private://wx2b03c6e691cd7370/pages/live-player-plugin?room_id=${options.room_id}`
    })
  },
})

// 直播开通需要 配置plugin ： 
// "live-player-plugin": {
//   "version": "1.0.2",
//     "provider": "wx2b03c6e691cd7370"
// }